                                                                                            select cat.categname as Category,
	    scat.subcategname as Subcategory,
		 averages.totalspend as [Total Spend],
		 averages.monthsactive as [Months Active]
from subcategory_v1 scat, category_v1 cat, (
		select sa.categid,
				 sa.subcategid,
		       sa.sumamounts totalspend,
		       (case when fnofmonths = cast(fnofmonths as integer) then cast(fnofmonths as integer) else 1 + cast(fnofmonths as integer) end) as monthsactive
		from (
		   select categ_subcateg_withdrawals.categid,
		   		 categ_subcateg_withdrawals.subcategid,
		   		 sum(transamount) as sumamounts
		   from (select ifnull(split.categid, tran.categid) as categid,
		   	   		 ifnull(split.subcategid, tran.subcategid) as subcategid,
		                tran.transdate as transdate,
		                ifnull(split.splittransamount, tran.transamount) as transamount,
		                tran.notes
		      	from checkingaccount_v1 as tran
		      	left join splittransactions_v1 as split
		      	on tran.transid = split.transid
		      	where tran.payeeid != 15
		      	and tran.subcategid <> 66
		      	and tran.transcode = 'Withdrawal'
		      	order by categid,subcategid,transdate
		   ) categ_subcateg_withdrawals -- subquery for getting withdrawals (both normal and splitted) 1st occurance
		   group by categ_subcateg_withdrawals.categid, categ_subcateg_withdrawals.subcategid
		) sa -- Sum of withdrawal amounts
		inner join (
			select distinct wd.categid as categid,
								 wd.subcategid as subcategid,
			                (case when julianday(wd.maxdate)-julianday(wd.mindate) < 30 then 1.0 else (julianday(wd.maxdate)-julianday(wd.mindate))/30 end) as fnofmonths
			from (
			   select categid,
			          subcategid,
			          min(transdate) as mindate,
			          (case when max(transdate) = min(transdate) then date('now') else max(transdate) end) as maxdate
			   from (
			       select ifnull(split.categid, tran.categid) as categid,
			          ifnull(split.subcategid, tran.subcategid) as subcategid,
			             tran.transdate as transdate,
			             ifnull(split.splittransamount, tran.transamount) as transamount,
			             tran.notes
			     from checkingaccount_v1 as tran
			     left join splittransactions_v1 as split
			     on tran.transid = split.transid
			     where tran.payeeid != 15
			     and tran.subcategid <> 66
			     and tran.transcode = 'Withdrawal'
			     order by categid,subcategid,transdate
			   ) categ_subcateg_withdrawals -- subquery for getting withdrawals (both normal and splitted) 2nd occurance
			   group by categid,subcategid
			) wd
		) da -- Active months (max date - mindate) / 30
		on sa.categid = da.categid
		and sa.subcategid = da.subcategid
) as averages
where averages.categid = cat.categid
     and averages.subcategid = scat.subcategid
     and scat.categid = cat.categid
order by cat.categname, scat.subcategname
;